#!/usr/bin/env python3
from abc import ABC, abstractmethod

"""
Abstract base class for Actuator
"""

__author__ = "@marcsello"
__copyright__ = "Copyright 2020, Birbnetes Team"
__module_name__ = "abcactuator"
__version__text__ = "1"


class AbcActuator(ABC):
    """
    Abstract base class Actuator. Responsible for acting.
    """
    @abstractmethod
    def act(self):
        """
        Preprocess a signal.
        :return:
        """
        pass
